Bug 1352469 (zendframework/zend-expressive-router) - Review Request: php-zendframework-zend-expressive-router - Router subcomponent for Expressive
Summary: Review Request: php-zendframework-zend-expressive-router - Router subcomponen...
Status: CLOSED ERRATA
Alias: zendframework/zend-expressive-router
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: zendframework/zend-expressive-aurarouter zendframework/zend-expressive-fastroute zendframework/zend-expressive-zendrouter zendframework/zend-expressive zendframework/zend-expressive-helpers 1357393
TreeView+ depends on / blocked
 
Reported: 2016-07-04 08:56 UTC by Remi Collet
Modified: 2016-07-30 18:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-30 18:25:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora-review+


Attachments (Terms of Use)
phpcompatinfo-full.log (4.23 KB, text/plain)
2016-07-18 20:39 UTC, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (3.87 KB, text/plain)
2016-07-18 20:41 UTC, Shawn Iwinski
no flags Details
fedora-review.txt (10.15 KB, text/plain)
2016-07-18 20:41 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2016-07-04 08:56:36 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/c15c7b65e9b4230a94bffbec0c99e85891c76ac6/php/zend/php-zendframework-zend-expressive-router/php-zendframework-zend-expressive-router.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-zendframework-zend-expressive-router-1.2.0-2.remi.src.rpm
Description: 
Router subcomponent for Expressive.

This package provides the following classes and interfaces:

* RouterInterface, a generic interface to implement for providing routing
  capabilities around PSR-7 ServerRequest messages.
* Route, a value object describing routed middleware.
* RouteResult, a value object describing the results of routing.

We currently support and provide the following routing integrations:

* Aura.Router: php-zendframework-zend-expressive-aurarouter
* FastRoute: php-zendframework-zend-expressive-fastroute
* ZF2 MVC Router: php-zendframework-zend-expressive-zendviewrouter

Documentation: http://zend-expressive.readthedocs.io/

Fedora Account System Username: remi

Comment 1 Shawn Iwinski 2016-07-18 20:39 UTC
Created attachment 1181287 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.0.0 DB built May 29 2016 15:12:58 CEST

Comment 2 Shawn Iwinski 2016-07-18 20:41 UTC
Created attachment 1181288 [details]
phpcompatinfo-lib.log

phpCompatInfo version 5.0.0 DB built May 29 2016 15:12:58 CEST

Comment 3 Shawn Iwinski 2016-07-18 20:41 UTC
Created attachment 1181289 [details]
fedora-review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1352469
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Shawn Iwinski 2016-07-18 20:42:06 UTC
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import



No blockers

===== APPROVED =====

Comment 5 Remi Collet 2016-07-19 06:12:49 UTC
Thanks for the review.

New package requested.

Comment 6 Gwyn Ciesla 2016-07-19 15:28:00 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-zendframework-zend-expressive-router

Comment 7 Fedora Update System 2016-07-20 07:01:19 UTC
php-zendframework-zend-expressive-1.0.0-2.fc24 php-zendframework-zend-expressive-aurarouter-1.0.0-2.fc24 php-zendframework-zend-expressive-fastroute-1.2.0-2.fc24 php-zendframework-zend-expressive-helpers-2.0.0-1.fc24 php-zendframework-zend-expressive-platesrenderer-1.1.0-1.fc24 php-zendframework-zend-expressive-router-1.2.0-2.fc24 php-zendframework-zend-expressive-template-1.0.3-2.fc24 php-zendframework-zend-expressive-twigrenderer-1.1.1-1.fc24 php-zendframework-zend-expressive-zendrouter-1.1.0-2.fc24 php-zendframework-zend-expressive-zendviewrenderer-1.1.0-1.fc24 php-zendframework-zend-stratigility-1.2.1-2.fc24 php-aura-router-2.3.0-1.fc24 php-aura-di-2.2.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-715702a930

Comment 8 Fedora Update System 2016-07-21 04:21:54 UTC
php-aura-di-2.2.4-1.fc24, php-aura-router-2.3.0-1.fc24, php-zendframework-zend-expressive-1.0.0-2.fc24, php-zendframework-zend-expressive-aurarouter-1.0.0-2.fc24, php-zendframework-zend-expressive-fastroute-1.2.0-2.fc24, php-zendframework-zend-expressive-helpers-2.0.0-1.fc24, php-zendframework-zend-expressive-platesrenderer-1.1.0-1.fc24, php-zendframework-zend-expressive-router-1.2.0-2.fc24, php-zendframework-zend-expressive-template-1.0.3-2.fc24, php-zendframework-zend-expressive-twigrenderer-1.1.1-1.fc24, php-zendframework-zend-expressive-zendrouter-1.1.0-2.fc24, php-zendframework-zend-expressive-zendviewrenderer-1.1.0-1.fc24, php-zendframework-zend-stratigility-1.2.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-715702a930

Comment 9 Fedora Update System 2016-07-30 18:24:34 UTC
php-aura-di-2.2.4-1.fc24, php-aura-router-2.3.0-1.fc24, php-zendframework-zend-expressive-1.0.0-2.fc24, php-zendframework-zend-expressive-aurarouter-1.0.0-2.fc24, php-zendframework-zend-expressive-fastroute-1.2.0-2.fc24, php-zendframework-zend-expressive-helpers-2.0.0-1.fc24, php-zendframework-zend-expressive-platesrenderer-1.1.0-1.fc24, php-zendframework-zend-expressive-router-1.2.0-2.fc24, php-zendframework-zend-expressive-template-1.0.3-2.fc24, php-zendframework-zend-expressive-twigrenderer-1.1.1-1.fc24, php-zendframework-zend-expressive-zendrouter-1.1.0-2.fc24, php-zendframework-zend-expressive-zendviewrenderer-1.1.0-1.fc24, php-zendframework-zend-stratigility-1.2.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.